OpenZWave Library: OpenZWave::Driver::DriverData Struct Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
OpenZWave::Driver::DriverData Struct Reference

`#include <Driver.h>`

## Public Attributes
uint32 | m_SOFCnt
uint32 | m_ACKWaiting
uint32 | m_readAborts
uint32 | m_badChecksum
uint32 | m_readCnt
uint32 | m_writeCnt
uint32 | m_CANCnt
uint32 | m_NAKCnt
uint32 | m_ACKCnt
uint32 | m_OOFCnt
uint32 | m_dropped
uint32 | m_retries
uint32 | m_callbacks
uint32 | m_badroutes
uint32 | m_noack
uint32 | m_netbusy
uint32 | m_notidle
uint32 | m_txverified
uint32 | m_nondelivery
uint32 | m_routedbusy
uint32 | m_broadcastReadCnt
uint32 | m_broadcastWriteCnt

## Member Data Documentation

## ◆ m_ACKCnt

uint32 OpenZWave::Driver::DriverData::m_ACKCnt

## ◆ m_ACKWaiting

uint32 OpenZWave::Driver::DriverData::m_ACKWaiting

## ◆ m_badChecksum

uint32 OpenZWave::Driver::DriverData::m_badChecksum

## ◆ m_badroutes

uint32 OpenZWave::Driver::DriverData::m_badroutes

## ◆ m_broadcastReadCnt

uint32 OpenZWave::Driver::DriverData::m_broadcastReadCnt

## ◆ m_broadcastWriteCnt

uint32 OpenZWave::Driver::DriverData::m_broadcastWriteCnt

## ◆ m_callbacks

uint32 OpenZWave::Driver::DriverData::m_callbacks

## ◆ m_CANCnt

uint32 OpenZWave::Driver::DriverData::m_CANCnt

## ◆ m_dropped

uint32 OpenZWave::Driver::DriverData::m_dropped

## ◆ m_NAKCnt

uint32 OpenZWave::Driver::DriverData::m_NAKCnt

## ◆ m_netbusy

uint32 OpenZWave::Driver::DriverData::m_netbusy

## ◆ m_noack

uint32 OpenZWave::Driver::DriverData::m_noack

## ◆ m_nondelivery

uint32 OpenZWave::Driver::DriverData::m_nondelivery

## ◆ m_notidle

uint32 OpenZWave::Driver::DriverData::m_notidle

## ◆ m_OOFCnt

uint32 OpenZWave::Driver::DriverData::m_OOFCnt

## ◆ m_readAborts

uint32 OpenZWave::Driver::DriverData::m_readAborts

## ◆ m_readCnt

uint32 OpenZWave::Driver::DriverData::m_readCnt

## ◆ m_retries

uint32 OpenZWave::Driver::DriverData::m_retries

## ◆ m_routedbusy

uint32 OpenZWave::Driver::DriverData::m_routedbusy

## ◆ m_SOFCnt

uint32 OpenZWave::Driver::DriverData::m_SOFCnt

## ◆ m_txverified

uint32 OpenZWave::Driver::DriverData::m_txverified

## ◆ m_writeCnt

uint32 OpenZWave::Driver::DriverData::m_writeCnt

The documentation for this struct was generated from the following file:

- Driver.h